DYEBench: Ember.js assertion hit at line 20593
authorrniwa@webkit.org <rniwa@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Sun, 1 Jun 2014 07:01:52 +0000 (07:01 +0000)
committerrniwa@webkit.org <rniwa@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Sun, 1 Jun 2014 07:01:52 +0000 (07:01 +0000)
commit63c4f2ebdefd145273e69ef320d7adebd12f3089
tree7df0d9979b2ba2138ad7c42bb70e4055b98b1494
parent11a5866bc5b37a3141d1cc880463866d32d1649a
DYEBench: Ember.js assertion hit at line 20593
https://bugs.webkit.org/show_bug.cgi?id=133431

Reviewed by Darin Adler.

The assertion was hit because ToDoMVC includes jQuery 2.1 and Ember.js 1.3.1 only recognizes jQuery 2.0.
Port the assertion from Ember.js 1.5.1 to suppress the assertion.

We should update the entire Ember.js at some point but this would do the job for now.

* DoYouEvenBench/Full.html:
* DoYouEvenBench/resources/todomvc/architecture-examples/emberjs/bower_components/ember/ember.js:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@169513 268f45cc-cd09-0410-ab3c-d52691b4dbfc
PerformanceTests/ChangeLog
PerformanceTests/DoYouEvenBench/Full.html
PerformanceTests/DoYouEvenBench/resources/todomvc/architecture-examples/emberjs/bower_components/ember/ember.js